<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form>
            <ul id="lista">
            </ul>
            <p id=mensaje></p>
    </form>

    <script>
/*
Crear una función que recibe inicio y final. 
Verifica si que ambos datos sean numéricos y si inicio es menor que final. 
Como resultado muestra los números de menor a mayor de uno en uno como <li> de un <ul>.
*/
    function muestra(i,f){
        if (typeof(i,f) == "number"&& i,f % 1==0 && f>=0 && i>0){
            console.log( "OK Los datos son Enteros positivos")
            
             if ( i < f){
                for( i=i;i <=f ;i++){
                    console.log(i)
                    myUl = document.getElementById("lista");
                    var el = document.createElement("li");
                    el.append(i)
                    myUl.append(el)
                    
                }
            console.log( " OK Inicio es Menor al final")
            }else{
                console.log( "NOOK Inicio NO es menor a Final")
            }
        return true
        }else{
            
            console.log( "NOOK Algun valor No es Entero Positivo ")
        return false
            }
    }

    var i=3;//Valor de Inicio
    var f=6;//VAlor Final
    var elemento=document.getElementById("mensaje");
    console.log(elemento)
    elemento.innerHTML = "Los valores pasados son :"+ (muestra(i,f) ? "OK Los datos son Enteros positivos": "NOOK Algun valor No es Entero Positivo ")
    

    </script>
</body>
</html>